org.apache.olingo.odata2.jpa.processor.api.jpql

## Class JPQLStatement.Operator

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLStatement.Operator

- Enclosing class:
    JPQLStatement

      public static final class JPQLStatement.Operator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AND`
    `static String` | `EQ`
    `static String` | `GE`
    `static String` | `GT`
    `static String` | `LE`
    `static String` | `LIKE`
    `static String` | `LT`
    `static String` | `NE`
    `static String` | `NOT`
    `static String` | `OR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EQ

          public static final String EQ

      See Also:
        Constant Field Values

    - #### NE

          public static final String NE

      See Also:
        Constant Field Values

    - #### LT

          public static final String LT

      See Also:
        Constant Field Values

    - #### LE

          public static final String LE

      See Also:
        Constant Field Values

    - #### GT

          public static final String GT

      See Also:
        Constant Field Values

    - #### GE

          public static final String GE

      See Also:
        Constant Field Values

    - #### AND

          public static final String AND

      See Also:
        Constant Field Values

    - #### NOT

          public static final String NOT

      See Also:
        Constant Field Values

    - #### OR

          public static final String OR

      See Also:
        Constant Field Values

    - #### LIKE

          public static final String LIKE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Operator

          public Operator()

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.